"use client"

import { Message } from "@prisma/client"
import { useRouter } from "next/navigation";
import { prisma } from "@/prisma/db";
import { Prisma} from "@prisma/client"
type likeType = Prisma.LikeUncheckedCreateInput

import { startTransition, useState } from "react"

export default function LikeButton(props: { data: likeType }) {
  const router = useRouter();

  async function postLike(e: any) {
    e.preventDefault()
    const msgLikeData = props.data;
    const likeData = {} as likeType
    likeData.author = msgLikeData.author
    likeData.postId = msgLikeData.postId

    const response = await fetch('http://localhost:3000/api/likes', {
      method: 'PUT',
      body: JSON.stringify(likeData)
    })
    
    startTransition(() => {
      // Refresh the current route and fetch new data from the server without
      // losing client-side browser or React state.
      router.refresh();
    });
    return await response.json()
  }

  return (
    <div>
      <form onSubmit={postLike}>
        <button type="submit" className="mt-2 bg-gray-300 text-gray-800 px-4 py-2 rounded float-right">
          Like
        </button>
      </form>
    </div>
  )
}